Bug 1227222

Summary: gnome-terminal: double-click on URL no longer selects scheme
Product: [Fedora] Fedora Reporter: Florian Weimer <fweimer>
Component: gnome-terminalAssignee: Matthias Clasen <mclasen>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 25CC: cfergeau, debarshir, egmont, fedora, mclasen
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-12-12 10:07:42 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Florian Weimer 2015-06-02 07:59:32 UTC
Description of problem:

Double-clicking on a URL displayed in a terminal, such as “https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora”, only selects “//bugzilla.redhat.com/enter_bug.cgi?product=Fedora”, and not the scheme part.


Version-Release number of selected component (if applicable):

gnome-terminal-3.16.2-1.fc22.x86_64

How reproducible:

Always.

Steps to Reproduce:
1. echo https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora
2. Double-click on “redhat”.

Actual results:

“//bugzilla.redhat.com/enter_bug.cgi?product=Fedora” is selected.


Expected results:

“http://bugzilla.redhat.com/enter_bug.cgi?product=Fedora” is selected.

Additional info:

The expected result is what happened with Fedora 21.

Comment 1 Egmont Koblinger 2015-06-03 21:36:25 UTC
See
bug 1208869
https://bugzilla.gnome.org/show_bug.cgi?id=727743
https://bugzilla.gnome.org/show_bug.cgi?id=730632

URL detection (underlining on mouseover, context menu, ctrl+click) has nothing to do with the word boundary (double click) behavior, these are two unrelated parts of the code. The colon character is not part of the default set of wordchars, see those discussions for rationale. It's unfortunate for URLs, but adds much more to usability elsewhere. And you can configure it for yourself.

Comment 2 Georg Sauthoff 2016-06-12 16:55:04 UTC
The tl;dr on how to fix this:

Get id of default profile:

    pid=$(dconf read /org/gnome/terminal/legacy/profiles:/default | tr -d "'")

Remove the boundary property of some additional characters:

    dconf write /org/gnome/terminal/legacy/profiles:/:$pid/word-char-exceptions '@ms "-=&#:/.?@+~_%;"'

Where the `@ms` denotes the maybe-string gvariant type.

With that a double-click should select URLs like:

    http://foo-bar.example.org/query.html#xyz?key1=value1&key2=value2

Comment 3 Fedora End Of Life 2016-07-19 14:28:05 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Christophe Fergeau 2016-07-19 14:34:26 UTC
Still happening with f24

Comment 5 Sandro Bonazzola 2016-11-25 12:00:16 UTC
Still happening with fc25

Comment 6 Egmont Koblinger 2016-11-25 12:08:09 UTC
It's not a bug. It's a faulty expectation from the users.

See my previous comment, follow the links from there, and see also https://bugs.launchpad.net/ubuntu/+source/gnome-terminal/+bug/1501250 for a more verbose explanation.

Comment 7 Fedora End Of Life 2017-11-16 18:58:57 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2017-12-12 10:07:42 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.